Content-type: text/html; charset=UTF-8

# x2gomountdirs

Section: X2Go Server Tool (8)
Updated: Aug 2023
Index Return to Main Contents

## NAME

x2gomountdirs - Share Client-Side Folder with X2Go Session

## SYNOPSIS

x2gomountdirs <mount_type> <session_id> <username> <key_file> <dir1> [<dir2> [<dir3> [...]]]

## DESCRIPTION

x2gomountdirs mounts client-side folders or devices onto mountpoints that are accessible from within your remote X2Go session.

x2gomountdirs is run with X2Go user privileges and normally issued by an X2Go client application.

## ARGUMENTS

<mount_type>
  If the mount type is set to ,,dir'' then the client-side mount target is interpreted as a folder. If other, it is interpreted as a device.
<session_id>
  The <session_id> is the unique identifier of the X2Go session that this command is run for.
<username>
  The owner of session <session_id> is given as the <username> argument.
<key_file>
  Location of a temporary private SSH key file (only valid for this command execution).
<dir1> [<dir2> [<dir3> [...]]]
  A list of client-side folders or device mount points that shall be mounted for X2Go session <session_id>.

## PERMISSIONS

X2Go uses the fuse-based SSH filesystem (SSHFS) for sharing client-side file resources with X2Go sessions. Users that shall use X2Go folder sharing must be members of the X2Go server's ,,fuse'' POSIX group.

## RETURN VALUES

x2gomountdirs returns some mount point information to stdout if the mounting process has been successful. The mount results are printed line-by-line. The individual lines must be interpreted as shown below:

line 01: dirs:<local_path>__REVERSESSH_PORT__<sshfs_port>
line 02: ssh port:<sshfs_port>
line 03: Host:<client_ip>
line 04: User:<user>
line 05: inserted, sshfs -o <options> \
"<user">@<client_ip>:"<local_path>" \
"<server_path>" -p <sshfs_port>
line 06: mount <local_path> ok
line 07: fname: <desktop_icon_name>

If mounting of a client folder fails, either of the errors is returned (on stdout):

error 01: mounting of <local_path> failed
error 02: insertion of <local_path> failed (already mounted?), not mounting

As exitcode x2gomoundirs always returns 0.

## SEE ALSO

x2goumount-session(8)

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
ARGUMENTS
PERMISSIONS
RETURN VALUES
SEE ALSO
AUTHOR

This document was created by man2html, using the manual pages.
Time: 17:52:57 GMT, February 18, 2025